#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 17. Networking Libraries

- Prev

  glib-networking-2.80.1

- Next

  kdsoap-ws-discovery-client-0.4.0

- Up
- Home

# kdsoap-2.2.0

## Introduction to kdsoap

The kdsoap is Qt-based client-side and server-side SOAP component. It can be used to create client applications for web services and also provides the means to create web services without the need for any further component such as a dedicated web server.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/KDAB/KDSoap/releases/download/kdsoap-2.2.0/kdsoap-2.2.0.tar.gz

- Download MD5 sum: a4ef201402aaa1500439a2ed4359c0f3

- Download size: 11 MB

- Estimated disk space required: 49 MB

- Estimated build time: 0.3 SBU (Using parallelism=4)

### kdsoap Dependencies

#### Required

Qt-6.8.2

## Installation of kdsoap

Install kdsoap by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D KDSoap_QT6=ON             \
          -D CMAKE_INSTALL_DOCDIR=/usr/share/doc/kdsoap-2.2.0 \
          .. &&
    make

The package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kdwsdl2cpp-qt6
Installed Libraries: libkdsoap-qt6.so and libkdsoap-server-qt6.so
Installed Directories: /usr/lib/cmake/KDSoap-Qt6, /usr/share/doc/kdsoap-2.2.0-qt6, /usr/include/KDSoapClient-Qt6. and /usr/include/KDSoapServer-Qt6

- Prev

  glib-networking-2.80.1

- Next

  kdsoap-ws-discovery-client-0.4.0

- Up
- Home